-- Mapper # 217
-- addr latch: 74-161, 74-32

MapperName = "Mapper 217"
MapperNumber = 217
DefaultPrgSize = 4*0x8000
DefaultChrSize = 8*0x2000

function DumpPrg(size)
        local banks = 4
        for b = 0, banks-1 do
            if b > 0 then bank = b*2*2 else bank = 0 end
            WriteCpu(0x8000 + bank, ReadPrg(0x8000 + bank, 1))
            print("Reading PRG bank #" .. tostring(b) .. "...")
            ReadAddPrg(0x8000, 0x8000)
        end
end

function DumpChr(size)
        local banks = 8
        for b = 0, banks-1 do
            WriteCpu(0x8000 + b, ReadPrg(0x8000 + b, 1))
            print("Reading CHR bank #" .. tostring(b) .. "...")
            ReadAddChr(0x0000, 0x2000)
        end
end

function EnablePrgRam(size)
	print("Warning: SRAM is not supported by this mapper")
end